<?php
$absolute_path = explode('wp-content', $_SERVER['SCRIPT_FILENAME']);
 $wp_load = $absolute_path[0] . 'wp-load.php';
 require_once($wp_load);

  /**
  Do stuff like connect to WP database and grab user set values
  */

  header('Content-type: text/css');
  header('Cache-control: must-revalidate');


$cbqmstnf_bgcolor = get_option('cbqmstnf_bgcolor');
$cbqmstnf_postcolor = get_option('cbqmstnf_postcolor');
$cbqmstnf_postsize = get_option('cbqmstnf_postsize');
$cbqmstnf_bordercolor = get_option('cbqmstnf_bordercolor');
$cbqmstnf_timecolor = get_option('cbqmstnf_timecolor');
$cbqmstnf_timesize = get_option('cbqmstnf_timesize');
?>

/* CSS Document */


.mastodon_integrator {
    background: <?php echo $cbqmstnf_bgcolor ?>!important;
    padding: 10px;
}
<?php 
/*
.mastodon_post {
    border: 1px solid <?php echo $cbqmstnf_bordercolor ?>!important;
    margin: 5px;
    padding: 5px;
    display: flex;
}


.mastodon_date {
    font-size: <?php echo $cbqmstnf_timesize ?>px !important;
    color: <?php echo $cbqmstnf_timecolor ?>!important;
}

.mastodon_txt {
  color:  <?php echo $cbqmstnf_postcolor ?>!important;
  font-size: <?php echo $cbqmstnf_postsize ?>px !important;
}
*/
?>

.mastodon_post {
  display: flex;
  flex-direction: column;
  border: 1px solid <?php echo $cbqmstnf_bordercolor ?>!important;
  margin: 5px;
  padding: 5px;

}

.mastodon_text {
  color:  <?php echo $cbqmstnf_postcolor ?>!important;
  font-size: <?php echo $cbqmstnf_postsize ?>px !important;
}

.mastodon_info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}

.mastodon_date {
  flex: 1; /* Füllt den verfügbaren Platz auf der linken Seite */
  font-size: <?php echo $cbqmstnf_timesize ?>px !important;
    color: <?php echo $cbqmstnf_timecolor ?>!important;
}

.mastodon_link {
  /* Hier dein Styling für mastodon_link */
}

.info-icon {
  width: 20px;
  height: 20px;
  background-color: #0074D9;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.info-icon::before {
  content: 'i';
  color: white;
  font-weight: bold;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 15px;
}

.info-link {
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  padding: 5px; /* Anpassen der Abstände */
  background-color: #0074D9; /* Hintergrundfarbe des Links anpassen */
  color: white; /* Textfarbe des Links anpassen */
}
