<?php

function mastodon_shortcode($atts) {

date_default_timezone_set('Europe/Berlin');


$cbqmstnf_feedlimit = get_option('cbqmstnf_feedlimit');

$cbqmstnf_user0 = get_option('cbqmstnf_user');
$cbqmstnf_user = $cbqmstnf_user0 . '.rss';

// URL des RSS-Feeds
//$rss_feed_url = 'https://mastodon.maechler.cloud/@emaechler.rss';


$rss_feed_url = $cbqmstnf_user;

// RSS-Feed laden und in ein SimpleXMLElement umwandeln
$rss = simplexml_load_file($rss_feed_url);

$output = '';
$outputLimit = $cbqmstnf_feedlimit;
$postCount = 0;

$output .= "<div class='mastodon_integrator'>";
// Über alle <item> Elemente im RSS-Feed iterieren und die <description> ausgeben
foreach ($rss->channel->item as $item) {
    $description = (string)$item->description;
    $pubDate = (string)$item->pubDate; 
    $postLink = (string)$item->link;

    //zeit umrechnen

    $timestamp = strtotime($pubDate);
    $formattedDate = date('D, d M Y - H:i', $timestamp);

    //$postLink = "link";

    if($postCount >= $outputLimit){
        break;
    }
    //echo "Beschreibung: $description<br>";
    //$output .= 
    '<div class="mastodon_post">' . 
        '<div class="mastodon_txt">' . $description . '</div>' . 
        '<div class="mastodon_date">' . $formattedDate . '</div>' . '<div class="mastodon_link">' . 'link' . '</div>' . 
    '</div>';

    $output .= '<div class="mastodon_post">' . 
                    '<div class="mastodon_text">' . $description . '</div>' . 
                    '<div class="mastodon_info">' . 
                    '<div class="mastodon_date">' . $formattedDate . '</div>' . 
                    '<div class="mastodon_link">' . '<a href="' . $postLink .'" target="_blank"><div class="info-icon"></div></a>' . '</div>' . 
                '</div>' . '</div>';


    
    $postCount++;
}
    $output .= "</div>";
    return $output;

}
add_shortcode('mastodon', 'mastodon_shortcode');
?>
